package com.steerinfo.baseinfo.meterbasepluginunit.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasepluginunit.model.MeterBasePluginUnit;

import java.util.List;

/**
 * MeterBasePluginUnit服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 05:23
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBasePluginUnit服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBasePluginUnitService extends IBaseService<MeterBasePluginUnit, String>{
     String checkandadd(MeterBasePluginUnit model);

     String Recovery(List<MeterBasePluginUnit> models);

     String checkandupdate(String id,MeterBasePluginUnit model);

     String abolish(List<MeterBasePluginUnit> models);
}